# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2018-06-06 03:35
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('A_mahasiswa', '0002_auto_20180605_2159'),
    ]

    operations = [
        migrations.CreateModel(
            name='Pengguna',
            fields=[
                ('kode_identitas', models.CharField(max_length=20, primary_key=True, serialize=False, verbose_name='npm')),
                ('nama', models.CharField(default='kosong', max_length=200, verbose_name='nama')),
                ('username', models.CharField(default='kosong', max_length=200, verbose_name='username')),
                ('profile_linkedin', models.CharField(default='kosong', max_length=200, verbose_name='profile_linkedin')),
                ('foto_profil', models.CharField(default='http://voice4thought.org/wp-content/uploads/2016/08/default1.jpg', max_length=240, verbose_name='profpic')),
                ('email', models.CharField(default='kosong', max_length=200, verbose_name='email')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('angkatan', models.CharField(max_length=5, verbose_name='angkatan')),
                ('boolean_rahasia', models.CharField(default='Tidak', max_length=5, verbose_name='boolean_rahasia')),
            ],
        ),
        migrations.RemoveField(
            model_name='keahlian',
            name='mahasiswa',
        ),
        migrations.RemoveField(
            model_name='status',
            name='mahasiswa',
        ),
        migrations.DeleteModel(
            name='Mahasiswa',
        ),
        migrations.AddField(
            model_name='keahlian',
            name='pengguna',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='A_mahasiswa.Pengguna'),
        ),
        migrations.AddField(
            model_name='status',
            name='pengguna',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='A_mahasiswa.Pengguna'),
        ),
    ]
